Debian Bug report logs - #399017
webalizer: kB In/kB Out columns show zero, with no option to turn them off

version graph

Package: webalizer; Maintainer for webalizer is Julien Viard de Galbert <julien@vdg.blogsite.org>; Source for webalizer is src:webalizer.

Reported by: Edgar Ibsen <edgaribsen2@yahoo.com>

Date: Fri, 17 Nov 2006 06:48:01 UTC

Severity: minor

Found in versions webalizer/2.01.10-31, webalizer/2.01.10-32, webalizer/2.01.10-32.7

Fixed in version webalizer/2.23.05-1

Done: Felipe Augusto van de Wiel (faw) <faw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, edgaribsen2@yahoo.com, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#399017; Package webalizer. Full text and rfc822 format available.

Acknowledgement sent to Edgar Ibsen <edgaribsen2@yahoo.com>:
New Bug report received and forwarded. Copy sent to edgaribsen2@yahoo.com, Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Edgar Ibsen <edgaribsen2@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: webalizer: kB In/kB Out columns show zero, with no option to turn them off
Date: Fri, 17 Nov 2006 01:50:51 -0500
Package: webalizer
Version: 2.01.10-31
Severity: minor

I just upgraded from 2.01.10-25 to 2.01.10-31, and noticed that there are added kB In/kB 
Out columns, in addition to the daily usage graph having now (technically) three bars for 
the last plot (kB F/kB In/kB Out). However, for me all of the kB In/kB Out columns are 
zero, and I can't seem to find a way to turn them off (or find really *any* documentation 
on them, including explanations of why they are zero). This also means only one bar shows 
for the last plot in the daily usage graph.

I guess this bug is somewhere between minor and wishlist, so feel free to move it into the 
wishlist if you want. Though, the kB In/kB Out columns with all zeros just does not look 
good, and makes the table seem rather confusing at first.


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages webalizer depends on:
ii  debconf [debconf-2.0]      1.5.9         Debian configuration management sy
ii  libc6                      2.3.6.ds1-8   GNU C Library: Shared libraries
ii  libdb4.2                   4.2.52+dfsg-1 Berkeley v4.2 Database Libraries [
ii  libgd2-noxpm               2.0.33-5.1    GD Graphics Library version 2 (wit
ii  libgeoip1                  1.3.17-1      A non-DNS IP-to-country resolver l
ii  libpng12-0                 1.2.8rel-7    PNG library - runtime
ii  zlib1g                     1:1.2.3-13    compression library - runtime

webalizer recommends no packages.

-- debconf information:
  webalizer/logfile: /var/log/apache/access.log.1
  webalizer/doc_title: Usage Statistics for
  webalizer/upgrading:
  webalizer/dnscache: false
  webalizer/directory: /home/admin/webalizer
* webalizer/upgrade2011030:



Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#399017; Package webalizer. Full text and rfc822 format available.

Acknowledgement sent to Jeff Green <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. Full text and rfc822 format available.

Message #10 received at 399017@bugs.debian.org (full text, mbox):

From: Jeff Green <jeff@kikisoso.org>
To: Debian Bug Tracking System <399017@bugs.debian.org>
Subject: webalizer: Modification to apache2 configs to make it work
Date: Sun, 20 Jul 2008 11:47:34 -0400
Package: webalizer
Version: 2.01.10-32
Followup-For: Bug #399017

To make the "kB In" and "kB Out" work, the following format line needs
to be added to apache2.conf along with the other format lines:

LogFormat "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\" %I %O" combinedio

Then modify the (virtual) host logging so that it uses this format, e.g.

  CustomLog /var/log/apache2/access.log combinedio


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages webalizer depends on:
ii  debconf [debconf-2.0]  1.5.11etch1       Debian configuration management sy
ii  libc6                  2.3.6.ds1-13etch5 GNU C Library: Shared libraries
ii  libdb4.2               4.2.52+dfsg-2     Berkeley v4.2 Database Libraries [
ii  libgd2-xpm             2.0.33-5.2        GD Graphics Library version 2
ii  libgeoip1              1.3.17-1.1        A non-DNS IP-to-country resolver l
ii  libpng12-0             1.2.15~beta5-1    PNG library - runtime
ii  zlib1g                 1:1.2.3-13        compression library - runtime

webalizer recommends no packages.

-- debconf information:
* webalizer/logfile: /var/log/apache2/access.log.1
* webalizer/doc_title: Usage statistics for
  webalizer/upgrading:
* webalizer/dnscache: false
* webalizer/directory: /var/www/webalizer
  webalizer/upgrade2011030:




Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#399017; Package webalizer. (Fri, 13 Aug 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Brown <bbrown@plus.net>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. (Fri, 13 Aug 2010 09:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 399017@bugs.debian.org (full text, mbox):

From: Ben Brown <bbrown@plus.net>
To: <399017@bugs.debian.org>
Subject: webalizer: kB In/kB Out columns show zero, with no option to turn them off
Date: Fri, 13 Aug 2010 10:17:17 +0100
I'm sorry but I've also been affected by this, and I don't think that changing the configuration of another program is an appropriate fix.

Adding new columns to the webalizer output with no option to disable it is not cool - please can this be reverted or a command line option be implemented to disable this.

I'm asking for a command line option rather than a configuration file option as it will be much easier for me to change one line in a script compared to modifying hundreds of thousands of webalizer config files. For other users it might be more appropriate to have a config file option so ideally this should be considered.

Regards,

Ben

-- 
| Ben Brown                                     Broadband Solutions for
| Infrastructure Engineer                              Home & Business@
| Plusnet Plc                                              www.plus.net
| Registered Office: Internet House, 2 Tenter Street, Sheffield, S1 4BY
| Registered in England no: 3279013
+ --------------- Plusnet - ISPA Best Consumer ISP 2008 ---------------




Information forwarded to debian-bugs-dist@lists.debian.org, Felipe Augusto van de Wiel (faw) <faw@debian.org>:
Bug#399017; Package webalizer. (Mon, 14 Nov 2011 14:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir Stavrinov <vstavrinov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>. (Mon, 14 Nov 2011 14:33:12 GMT) Full text and rfc822 format available.

Message #20 received at 399017@bugs.debian.org (full text, mbox):

From: Vladimir Stavrinov <vstavrinov@gmail.com>
To: Debian Bug Tracking System <399017@bugs.debian.org>
Subject: Re: webalizer: kB In/kB Out columns show zero, with no option to turn them off
Date: Mon, 14 Nov 2011 17:32:22 +0300
Package: webalizer
Version: 2.01.10-32.7+b1
Followup-For: Bug #399017

When these field are zero is not essential problem, at least it is tolerant.
But in my case appropriate fields in access log are used for others purposes.
It is resulting these fields in the table on web page become in 160 digits in
length each. It look terrible with long horizontal scrollbar. Thus, this is one
more and more essential reason to add option for turning off this feature.

There are other data causing scrollbar to appear like search string. Thus in
common case there should be added option to truncate any long fields and make
the web page readable.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages webalizer depends on:
ii  debconf [debconf-2.0]  1.5.41           
ii  libc6                  2.13-21          
ii  libdb5.1               5.1.25-11        
ii  libgd2-noxpm           2.0.36~rc1~dfsg-6
ii  libgeoip1              1.4.8+dfsg-2     
ii  libpng12-0             1.2.46-3         
ii  zlib1g                 1:1.2.3.4.dfsg-3 

webalizer recommends no packages.

Versions of packages webalizer suggests:
ii  apache2-mpm-worker [httpd]  2.2.21-2
ii  nginx-full [httpd]          1.1.4-2 

-- debconf information:
  webalizer/logfile: /var/log/apache2/access.log.1
  webalizer/doc_title: Usage statistics for
  webalizer/upgrading:
  webalizer/dnscache: false
  webalizer/directory: /var/www/webalizer
  webalizer/upgrade2011030:




Reply sent to Felipe Augusto van de Wiel (faw) <faw@debian.org>:
You have taken responsibility. (Sun, 05 Feb 2012 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to Edgar Ibsen <edgaribsen2@yahoo.com>:
Bug acknowledged by developer. (Sun, 05 Feb 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 399017-close@bugs.debian.org (full text, mbox):

From: Felipe Augusto van de Wiel (faw) <faw@debian.org>
To: 399017-close@bugs.debian.org
Subject: Bug#399017: fixed in webalizer 2.23.05-1
Date: Sun, 05 Feb 2012 18:51:33 +0000
Source: webalizer
Source-Version: 2.23.05-1

We believe that the bug you reported is fixed in the latest version of
webalizer, which is due to be installed in the Debian FTP archive:

webalizer_2.23.05-1.debian.tar.gz
  to main/w/webalizer/webalizer_2.23.05-1.debian.tar.gz
webalizer_2.23.05-1.dsc
  to main/w/webalizer/webalizer_2.23.05-1.dsc
webalizer_2.23.05-1_amd64.deb
  to main/w/webalizer/webalizer_2.23.05-1_amd64.deb
webalizer_2.23.05.orig.tar.gz
  to main/w/webalizer/webalizer_2.23.05.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399017@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felipe Augusto van de Wiel (faw) <faw@debian.org> (supplier of updated webalizer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 05 Feb 2012 16:21:18 -0200
Source: webalizer
Binary: webalizer
Architecture: source amd64
Version: 2.23.05-1
Distribution: unstable
Urgency: low
Maintainer: Julien Viard de Galbert <julien@vdg.blogsite.org>
Changed-By: Felipe Augusto van de Wiel (faw) <faw@debian.org>
Description: 
 webalizer  - web server log analysis program
Closes: 399017 400256 405699 409454 411482 411847 419717 452259 461176 482771 491200 520408 557038 558749 558751 632014 632021 650645 654801
Changes: 
 webalizer (2.23.05-1) unstable; urgency=low
 .
   [ Julien Viard de Galbert ]
   * New upstream release. Closes: #491200, #452259, #405699, #557038, #411482,
     #411847, #558751, #400256
   * Adopted package with maintainers consent.
   * Acknowledge all NUMs, thanks guys!
   * Repackaged using format 3.0 (quilt)
   * Converted debian/copyright to DEP-5 format
   * Converted patches from dpatch to quilt with DEP-3 header format
     - 01_basic_patch: dropped, most changes were integrated upstream.
       changes for consistency with previous version.
     - 02_64bit: dropped, already applied upstream.
     - 03_history: dropped, new version already have a 10 year history.
       Also this patch was not really compatible with 05_apache_logio in
       previous version, the summary page did not have the logio columns
       for the extra lines added by this history patch resulting in wrong
       array layout, as nobody complained on the BTS I assume nobody used
       the feature, so I remove it ;)
     - 04_geolizer: dropped, GeoIP already integrated upstream.
     - 05_apache_logio: ported to new version.
       Integrating fix for the total calculation. Closes: #482771
       While porting I rewrote part of code that Closes: #558749
     - 06_UserColor: dropped, already integrated upstream.
     - 07_w3c-v4: dropped, already integrated upstream.
     - 08_symlink_vulnerability: dropped, already integrated upstream.
     - 09_ipv6_support: dropped, already implemented upstream.
     - 10_remove_db1_dependence: dropped, no longer needed.
     - 11_various_buffer_overflows: dropped, already integrated upstream.
     - 12_recognize_Opera_browsers: dropped, already integrated upstream.
     - 13_add_NoFollow_feature: dropped, upstream LinkReferrer option does it.
     - 14_add_search_engines: Modified to also uncomment the SearchEngine
       directives from the sample configuration.
     - 15_ignore_localhost: refreshed.
     - 16_fix_typos_webalizer.1: dropped, already integrated upstream.
     - 18_ttf_support_throught_libgd: refreshed.
     - 19_add_PagePrefix_feature: dropped, already integrated upstream.
     - 20_fix_capital_letter_option: dropped, already implemented upstream.
     - 21_remove_-v_option: dropped, upstream changed -v to verbose.
     - 22_php_as_htm_in_sample.conf: refreshed.
     - 17_gettext: imported and converted in three patches:
       + 23_gettext_first_part, 24_gettext_generated and 25_gettext_po_files
       + Fix month translations, thanks Gerome Fournier. Closes: #520408
       + Fix some encodings: cs.po (Closes: #409454), ko.po (Closes: #461176)
       + Restored ReportTitle and -t options.
   * Added new patches:
     - 01_symlink_vulnerability.diff fixing the symlink vulnerability for
       the .htaccess file (similar to previous 08_symlink_vulnerability)
     - 02_fix_a_spelling_error.diff fix a spelling error in wcmgr.c
     - 06_apache_logio_optional.diff this patch affect the apache_logio patch
       It adds a InOutKb option to make the In/Out KByte data optional.
       There are no command line option, but it can detect if logio data are
       available. So this should be fine to Closes: #399017
     - 07_apache_logio_color_config.diff this patch affect the two previous
       apache_logio patches. It adds options to configure the color for the
       new data.
   * Fixed cron job script in case all .conf are removed. Closes: #419717
   * Updated Catalan translation of debconf templates (Jordi Mallach).
 .
   [ Christian Perrier ]
   * Fix pending l10n issues. Debconf translations:
     - Korean (강민지).  Closes: #632014, #632021
     - Dutch (Jeroen Schot).  Closes: #650645
     - Bokmål (Bjørn Steensrud).  Closes: #654801
 .
   [ Felipe Augusto van de Wiel (faw) ]
   * Fix some spell errors in doc files.
   * Updated Policy to 3.9.2 without changes.
Checksums-Sha1: 
 f1292fed47e3023a447d8defdb86571f643eb339 1520 webalizer_2.23.05-1.dsc
 bc28ff28d9484c8e9793ec081c7cbfcb1f577351 537287 webalizer_2.23.05.orig.tar.gz
 64d16cbbffa90167b5ae15a0dc680a410706fea5 446950 webalizer_2.23.05-1.debian.tar.gz
 82235c2808af9deed07937cfb412704aaeb674bf 372208 webalizer_2.23.05-1_amd64.deb
Checksums-Sha256: 
 e8b2610a45763ca7d9f3d0f9c5931b088d785b493a6d96ff9b256e1098fc8c78 1520 webalizer_2.23.05-1.dsc
 420cbb515df87a39d17d6810bdf4968d82b4ba6d90c2e0a9ce23d864c2896f6f 537287 webalizer_2.23.05.orig.tar.gz
 33f6a73369f7563411fdec8b5e9b32aae5338a7715b9b3d4f66696901571f369 446950 webalizer_2.23.05-1.debian.tar.gz
 0737703aeef6406ab1d70ae3c31c83684cb6ec03a291cf10c6ed5d84a67c2613 372208 webalizer_2.23.05-1_amd64.deb
Files: 
 ff7e61990a02b2202ac752296144e138 1520 web optional webalizer_2.23.05-1.dsc
 304338cf3b1e9389123380d5f7d88d58 537287 web optional webalizer_2.23.05.orig.tar.gz
 80fa65c5ddbd1089918885252e02b4f8 446950 web optional webalizer_2.23.05-1.debian.tar.gz
 d11b9455397a5d621d6470854c76f9e4 372208 web optional webalizer_2.23.05-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8uyZgACgkQCjAO0JDlykY7mQCggg5sN53YFhHnCyeVS7RBMOqO
UXIAnjjE7KW/SdiphVjFigDvM+jLPckf
=Gw67
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Mar 2012 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:58:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.